<script>
  export let size = 50;
  export let color = 'black';
</script>

<span style="width:{size}px; height:{size}px;">
  <svg viewBox="0 0 {size} {size}">
    <circle
      cx={size / 2}
      cy={size / 2}
      r={size / 2}
      fill={color} />
  </svg>
  <div>
    <slot />
  </div>
</span>

<style>
  span {
    display: block;
  }

  div {
    position: absolute;
    top: 50%;
    left: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translate(-50%, -50%);
  }
</style>
